GIMP Widgets Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GimpColorScale

## Name

GimpColorScale --

## Synopsis

    struct      GimpColorScale;
    GtkWidget*  gimp_color_scale_new            (GtkOrientation orientation,
                                                 GimpColorSelectorChannel channel);
    void        gimp_color_scale_set_channel    (GimpColorScale *scale,
                                                 GimpColorSelectorChannel channel);
    void        gimp_color_scale_set_color      (GimpColorScale *scale,
                                                 const GimpRGB *rgb,
                                                 const GimpHSV *hsv);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkRange
                         +----GtkScale
                               +----GimpColorScale

## Description

## Details

### struct GimpColorScale

    struct GimpColorScale;

### gimp_color_scale_new ()

    GtkWidget*  gimp_color_scale_new            (GtkOrientation orientation,
                                                 GimpColorSelectorChannel channel);

`orientation` : |
`channel` : |
Returns : |

### gimp_color_scale_set_channel ()

    void        gimp_color_scale_set_channel    (GimpColorScale *scale,
                                                 GimpColorSelectorChannel channel);

`scale` : |
`channel` : |

### gimp_color_scale_set_color ()

    void        gimp_color_scale_set_color      (GimpColorScale *scale,
                                                 const GimpRGB *rgb,
                                                 const GimpHSV *hsv);

`scale` : |
`rgb` : |
`hsv` : |

<<< Previous Page | Home | Up | Next Page >>>
GimpColorButton | GimpFileSelection